Bug 149644 - sysutils/cdrtools updated from 2.01 to 3.00
Summary: sysutils/cdrtools updated from 2.01 to 3.00
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marius Strobl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-14 13:50 UTC by Grzegorz Blach
Modified: 2010-09-15 18:47 UTC (History)
0 users

See Also:


Attachments
file.diff (43.02 KB, patch)
2010-08-14 13:50 UTC, Grzegorz Blach
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Grzegorz Blach 2010-08-14 13:50:01 UTC
As in summary: Port sysutils/cdrtools updated from 2.01 to 3.00

New version of this port is based on sysutils/cdrtools-devel

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-08-14 13:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marius

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Marius Strobl freebsd_committer 2010-08-15 18:19:47 UTC
State Changed
From-To: open->suspended

Mark suspended; there's ongoing work to update sysutils/cdrtools to 3.00 
(including taking care of sysutils/cdrtools-cjk, USE_CDRTOOLS etc, which 
is missing in the patch of this PR), pending approval.
Comment 3 dfilter service freebsd_committer 2010-09-15 18:35:30 UTC
marius      2010-09-15 17:35:24 UTC

  FreeBSD ports repository (src committer)

  Modified files:
    .                    UPDATING 
    sysutils/cdrtools    Makefile distinfo pkg-descr pkg-plist 
    sysutils/cdrtools/files patch-ad patch-cdrecord::cdrecord.1 
                            patch-cdrecord::cdrecord.dfl 
                            patch-readcd::readcd.1 
                            patch-rscsi::rscsi.dfl 
                            patch-scgcheck::scgcheck.1 
    sysutils/cdrtools-cjk Makefile 
  Added files:
    sysutils/cdrtools/files patch-btcflash::btcflash.1 
                            patch-cdrecord::README.rscsi 
  Removed files:
    sysutils/cdrtools/files patch-README.rscsi 
                            patch-cdda2wav-toc.c 
                            patch-cdda2wav::interface.c 
                            patch-cdda2wav::ioctl.c 
                            patch-cdda2wav::mycdrom.h 
                            patch-readcd::readcd.c 
  Log:
  Update cdrtools to 3.00. For changes since 2.01 see:
  ftp://ftp.berlios.de/pub/cdrecord/AN-3.00
  
  Note that this breaks and obsoletes sysutils/cdrtools-cjk as mkisofs now
  employs iconv for character conversion. Consequently USE_CDRTOOLS=cjk and
  USE_CDRTOOLS together with WITH_CJK are now defunct and bsd.port.mk is
  expected to be updated by portmgr@ accordingly (PR 150362).
  
  PR:             127608, 149644
  Approved by:    netchild
  
  Revision  Changes    Path
  1.970     +16 -1     ports/UPDATING
  1.7       +2 -0      ports/sysutils/cdrtools-cjk/Makefile
  1.79      +72 -25    ports/sysutils/cdrtools/Makefile
  1.31      +3 -3      ports/sysutils/cdrtools/distinfo
  1.4       +0 -36     ports/sysutils/cdrtools/files/patch-README.rscsi (dead)
  1.5       +51 -15    ports/sysutils/cdrtools/files/patch-ad
  1.1       +10 -0     ports/sysutils/cdrtools/files/patch-btcflash::btcflash.1 (new)
  1.2       +0 -20     ports/sysutils/cdrtools/files/patch-cdda2wav-toc.c (dead)
  1.5       +0 -19     ports/sysutils/cdrtools/files/patch-cdda2wav::interface.c (dead)
  1.2       +0 -88     ports/sysutils/cdrtools/files/patch-cdda2wav::ioctl.c (dead)
  1.2       +0 -24     ports/sysutils/cdrtools/files/patch-cdda2wav::mycdrom.h (dead)
  1.1       +36 -0     ports/sysutils/cdrtools/files/patch-cdrecord::README.rscsi (new)
  1.2       +17 -0     ports/sysutils/cdrtools/files/patch-cdrecord::cdrecord.1
  1.2       +53 -25    ports/sysutils/cdrtools/files/patch-cdrecord::cdrecord.dfl
  1.2       +17 -0     ports/sysutils/cdrtools/files/patch-readcd::readcd.1
  1.3       +0 -63     ports/sysutils/cdrtools/files/patch-readcd::readcd.c (dead)
  1.2       +1 -11     ports/sysutils/cdrtools/files/patch-rscsi::rscsi.dfl
  1.2       +17 -0     ports/sysutils/cdrtools/files/patch-scgcheck::scgcheck.1
  1.13      +3 -2      ports/sysutils/cdrtools/pkg-descr
  1.13      +66 -15    ports/sysutils/cdrtools/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Marius Strobl freebsd_committer 2010-09-15 18:46:50 UTC
State Changed
From-To: suspended->closed

close